Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Framework_Component_T< Concrete > Class Template Reference

This class inherits the interface of the abstract ACE_Framework_Component class and is instantiated with the implementation of the concrete component class <class concrete="">. More...

`#include <Framework_Component_T.h>`

Inheritance diagram for ACE_Framework_Component_T< Concrete >:

[legend]
Collaboration diagram for ACE_Framework_Component_T< Concrete >:

[legend]
List of all members.

## Public Member Functions
| ACE_Framework_Component_T (Concrete *concrete)
| Constructor.
| ~ACE_Framework_Component_T (void)
| Destructor.
void | close_singleton (void)
| Close the contained singleton.

## Detailed Description

### template<class Concrete>
class ACE_Framework_Component_T< Concrete >

This class inherits the interface of the abstract ACE_Framework_Component class and is instantiated with the implementation of the concrete component class <class concrete="">.

This design is similar to the Adapter and Decorator patterns from the ``Gang of Four'' book. Note that <class concrete=""> need not inherit from a common class since ACE_Framework_Component provides the uniform virtual interface! (implementation based on ACE_Dumpable_Adapter in <ace/Dump_T.h>.

## Constructor & Destructor Documentation

template<class Concrete>
ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Framework_Component_T< Concrete >::ACE_Framework_Component_T | ( | Concrete * | concrete | ) |

| Constructor.

template<class Concrete>
ACE_Framework_Component_T< Concrete >::~ACE_Framework_Component_T | ( | void |  | ) |

| Destructor.

## Member Function Documentation

template<class Concrete>
void ACE_Framework_Component_T< Concrete >::close_singleton | ( | void |  | ) | `[virtual]`

| Close the contained singleton. Implements ACE_Framework_Component.

The documentation for this class was generated from the following files:

- Framework_Component_T.h
- Framework_Component_T.cpp